Subject: Re: GIT and SCC

From: Theodore Tso <[email-masked]>
Date: Wed, 5 Nov 2008 14:38:25 -0500

On Wed, Nov 05, 2008 at 09:23:55PM +0200, Martin Terreni wrote:
> 
> http://en.wikipedia.org/wiki/SCC_compliant
> 
> It is probably not much, but this is what I could find in a minute. many
> VC system have a SCC complaint API (apart of the native). This protocol
> was created by M$ is used by many systems so they are not bound to a
> specific VC tool.

It's a closed-source, undocumented API that you can only get access to
by signing a Microsoft NDA.   From the WinMerge API:

	SCC API is closed API (no public documentation available) some
	IDE's (e.g. Visual Studio) use. There apparently have couple
	of reverse-engineered free implementations for SCC API. Status
	of those are unknown.

	WARNING: Be very sure you are not submitting any code behing
	NDA for WinMerge. WinMerge is Open Source so it is not legal
	to do. And what is worse it would prevent anybody reading that
	code working with SCC (and perhaps also VCS) support.

http://winmerge.org/Wiki/VCS_integration

							- Ted